Bug 53324 - EFI system partition isn't recognized by installer
EFI system partition isn't recognized by installer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
9
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 14:22 EDT by Martin Wilck
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hex dump of first 3 disk blocks (6.38 KB, text/plain)
2001-09-07 05:33 EDT, Martin Wilck
no flags Details
Binary dump of first 3 blocks (1.50 KB, application/octet-stream)
2001-09-07 13:44 EDT, Martin Wilck
no flags Details
dd dump of 40 blocks (20.00 KB, application/octet-stream)
2001-09-10 04:42 EDT, Martin Wilck
no flags Details

  None (edit)
Description Martin Wilck 2001-09-06 14:22:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22mw i686)

Description of problem:
When installing Roswell on a disk with a freshly made GPT partition table
and Intel EFI system partition (created with the spadmin EFI tool), disk
druid correctly shows the System partition but doesn't offer to use it for
/boot/efi. The partition
type is shown as "foreign". (I saw only the German translation
"ausldndisch" which is _really_ weird, I recommend using "fremd" instead).
Editing the partition properties or specifying a mount point is impossible.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. make a GPT partition tabe and EFI system partition on a disk with EFI
tools
2. install Roswell on that disk
3. When partitioning, specify that existing partitions should be left in
place 
	

Actual Results:  Partition size is correctly displayed, but the type is
"foreign", and no mount point can be specified.	

Expected Results:  Since the partition is vfat formatted, it should be
possible to specify a mount point for it.
It should be offered as an option to use the System partition for
/boot/efi (although it should probably not be the default to do so).


Additional info:

This is not a bug but rather a missing feature. Would be nice to have,
though, and I guess teaching disk druid to recognize the efi system
partition shouldn't be all that difficult. And fix that german translation
- it'll make people laugh at you.
Comment 1 Jeremy Katz 2001-09-06 15:00:44 EDT
If the partition is formatted, we should show it properly as VFAT -- if you run
parted on the drive in question, what filesystem type does it show for the
partition?
Comment 2 Martin Wilck 2001-09-07 05:33:20 EDT
Created attachment 31216 [details]
Hex dump of first 3 disk blocks
Comment 3 Martin Wilck 2001-09-07 05:33:51 EDT
The EFI tool 'dskpartx' shows both partitions as type EFISYS.
Parted shows no filesystem information for the system partition.
Mounting the partition as type "vfat" works seamlessly.
Comment 4 Jeremy Katz 2001-09-07 12:38:29 EDT
Matt -- looks like a parted problem to me.
Comment 5 Matt Wilson 2001-09-07 13:26:29 EDT
please dd if=/dev/whatever of=boot-raw bs=512 count=3 and attach it as a octet
stream.
Comment 6 Martin Wilck 2001-09-07 13:44:20 EDT
Created attachment 31254 [details]
Binary dump of first 3 blocks
Comment 7 Matt Wilson 2001-09-07 15:54:40 EDT
Sorry, I need at least 40 sectors... (I forgot how big gpt partition tables are..)
Comment 8 Martin Wilck 2001-09-10 04:42:55 EDT
Created attachment 31416 [details]
dd dump of 40 blocks
Comment 9 Martin Wilck 2001-09-10 04:46:05 EDT
Here is the output of the parted 'print' command:

Using /dev/sdb
(parted) print
Disk geometry for /dev/sdb: 0.000-17510.443 megabytes
Disk label type: GPT
Minor    Start       End     Filesystem  Name                  Flags
1          0.017    175.016              EFISYSPART            boot, lba
2        175.017    275.016  FAT                               boot, lba
3        275.017   2275.016  linux-swap                        lba
4       2275.017  17509.122  ext3                              lba

Partition 1 is the System partition created with 'spadmin'.
Partition 2 is the partition created during RedHat install.
Comment 10 Matt Wilson 2001-09-10 09:55:50 EDT
Could you please do:

dd if=/dev/sdb1 of=sdb1 bs=1024k
bzip2 -9 sdb1

and attach that? 
Comment 11 Martin Wilck 2001-09-10 10:09:51 EDT
Hmm - I guess I better run parted in a debugger myself. Just tell me what I
should be looking for,
and give me a few days.


Comment 12 Matt Wilson 2001-09-10 10:16:16 EDT
build with debugging support and break in ped_file_system_probe.  You'll be able
to step in each registered filesystem probe function.  If more than one probe
succeeds (if the partition has more than one filesystem magic), it falls back to
_probe_with_open.

be sure to break in fat_probe to see why it's failing there.
Comment 13 Michael Fulbright 2002-04-25 17:21:56 EDT
Closing due to inactivity.
Comment 14 Michael Fulbright 2002-05-23 12:53:10 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 15 Red Hat Bugzilla 2006-02-21 13:48:08 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.